package gp_dbc.items;

import JinRyuu.JRMCore.JRMCoreH;
import cpw.mods.fml.common.registry.GameRegistry;
import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;
import gp_dbc.Main;
import gp_dbc.config.ConfigManager;
import gp_dbc.system.Handcuff;
import gp_dbc.utils.EntityUtils;
import gp_dbc.utils.RayTrace;
import net.minecraft.entity.Entity;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.nbt.NBTTagCompound;
import net.minecraft.util.ChatComponentText;
import net.minecraft.util.EnumChatFormatting;
import net.minecraft.util.MovingObjectPosition;
import net.minecraft.world.World;
import org.lwjgl.Sys;

import java.util.List;

public class ItemGPHandcuff extends Item {

    public ItemGPHandcuff()
    {
        setUnlocalizedName(Main.MODID +".gp_handcuff");
        GameRegistry.registerItem(this, getUnlocalizedName());
        setCreativeTab(Main.tabGP);
        setTextureName(Main.MODID + ":gp_handcuff");
        setMaxStackSize(1);
    }

    @Override
    @SideOnly(Side.SERVER)
    public void onPlayerStoppedUsing(ItemStack stack, World world, EntityPlayer player, int par4) {
        int timeUse = getMaxItemUseDuration(stack) - par4;
        System.out.println(timeUse);
    }

    @Override
    @SideOnly(Side.SERVER)
    public ItemStack onItemRightClick(ItemStack itemStack, World world, EntityPlayer player) {
        Entity entity = EntityUtils.getEntityLookedAt(player, 5);
        if (entity instanceof EntityPlayer) {
            EntityPlayer jailer = (EntityPlayer) entity;

            NBTTagCompound nbtPlayer = JRMCoreH.nbt(jailer, "pres");
            boolean ko = nbtPlayer.getInteger("jrmcHar4va") > 0;
            if (ko) {
                if (Handcuff.putHandcuff(player))
                    player.inventory.setInventorySlotContents(player.inventory.currentItem, new ItemStack(this, itemStack.stackSize - 1));
            }
            else {
                //if (Handcuff.putHandcuff(player))
                    //player.inventory.setInventorySlotContents(player.inventory.currentItem, new ItemStack(this, itemStack.stackSize - 1));
            }
        }
        player.setItemInUse(itemStack, getMaxItemUseDuration(itemStack));

        //System.out.println(itemStack.stackSize);
        return itemStack;
    }

    @SuppressWarnings({ "unchecked", "rawtypes" })
    @Override
    public void addInformation(ItemStack par1ItemStack, EntityPlayer par2EntityPlayer, List par3List, boolean par4) {
        par3List.add("Right Click to put in jail");
    }
}
