package gp_dbc.utils;

import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.server.MinecraftServer;

import java.util.List;
import java.util.UUID;

public class PlayerUtils {

    public static List<EntityPlayer> playerList;

    @SideOnly(Side.SERVER)
    public static EntityPlayer getPlayerFromUUID(UUID uuid) {

        playerList = MinecraftServer.getServer().getEntityWorld().playerEntities;
        for (EntityPlayer player : playerList) {
            if (player.getUniqueID().equals(uuid))
                return player;
        }

        return null;
    }
}
