package gp_dbc.system;

import JinRyuu.JRMCore.JRMCoreH;
import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;
import gp_dbc.Main;
import gp_dbc.config.ConfigManager;
import gp_dbc.utils.EntityUtils;
import net.minecraft.entity.Entity;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.nbt.NBTTagCompound;
import net.minecraft.util.ChatComponentText;
import net.minecraft.util.EnumChatFormatting;
import net.minecraft.world.World;
import org.lwjgl.Sys;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.UUID;

public class Handcuff {

    // UUID~StartTimeHandcuffed
    @SideOnly(Side.SERVER)
    public static HashMap<UUID, Long>handcuffed = new HashMap<UUID, Long>();

    @SideOnly(Side.SERVER)
    public static boolean putHandcuff(EntityPlayer player) {
        if (handcuffed.get(player.getUniqueID()) != null) {
            player.addChatMessage(new ChatComponentText(EnumChatFormatting.RED + ConfigManager.ERROR_ALREADY_HANDCUFFED));
            return false;
        }
        handcuffed.put(player.getUniqueID(), System.currentTimeMillis());
        return true;
    }
}
