package gp_dbc.system;

import JinRyuu.JRMCore.JRMCoreH;
import cpw.mods.fml.common.eventhandler.SubscribeEvent;
import cpw.mods.fml.common.gameevent.PlayerEvent;
import cpw.mods.fml.common.gameevent.TickEvent;
import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;
import gp_dbc.Main;
import gp_dbc.utils.PlayerUtils;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.nbt.NBTTagCompound;
import net.minecraft.server.MinecraftServer;
import net.minecraft.util.ChatComponentText;
import net.minecraft.util.EnumChatFormatting;

public class TimeJail {

    int tick = 0;
    final int SLOWTICK_MAX = 20;//2000;

    @SideOnly(Side.SERVER)
    @SubscribeEvent
    public void checkTimeJailer(TickEvent.ServerTickEvent event) {
        if (tick >= SLOWTICK_MAX) {
            tick = 0;

            if (Main.gp.jail.getJailers() == null)
                return;

            for (int i = 0; i < Main.gp.jail.getJailers().size(); i++) {
                Inmate inmate = Main.gp.jail.getJailers().get(i);

                if (System.currentTimeMillis() - inmate.getTimeStartJail() > inmate.getSecInJail() * 1000) {

                    // Connected
                    EntityPlayer player = PlayerUtils.getPlayerFromUUID(inmate.getUuid());
                    if (player == null)
                        Main.gp.jail.removePlayerFromJail(MinecraftServer.getServer(), inmate.getUuid(), true);
                    else
                        Main.gp.jail.removePlayerFromJail(MinecraftServer.getServer(), player, true);
                }
            }
        }
        else
            tick++;
    }

    @SideOnly(Side.SERVER)
    @SubscribeEvent
    public void checkPlayerIsFree(PlayerEvent.PlayerLoggedInEvent event) {
        if (Main.gp.jail.freePlayer(event.player))
            event.player.addChatMessage(new ChatComponentText(EnumChatFormatting.GREEN + "You are out of the jail"));
    }

    @SideOnly(Side.SERVER)
    @SubscribeEvent
    public void checkPlayerIsFree(PlayerEvent.PlayerLoggedOutEvent event) {

        NBTTagCompound nbtPlayer = JRMCoreH.nbt(event.player, "pres");
        int ko = nbtPlayer.getInteger("jrmcHar4va");
        if (ko > 0) {

        }
    }
}
